Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 May 2015 19:28:00 +0300

> From: Oleh Krehel <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 30 May 2015 16:32:26 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I still see the problem with the current branch head. Here are my settings:
> >> 
> >> (font-lock-add-keywords
> >>  'emacs-lisp-mode
> >>  `((,"\\\\\\\\|"
> >>     (0 font-lock-keyword-face t)
> >>     (0
> >>      (prog1
> >>          (compose-region
> >>           (match-beginning 0)
> >>           (match-end 0)
> >>           ,"∨")
> >>        nil)))))
> >
> > Sorry, I don't understand: what do you do _after_ evaluating the
> > above, to show the problem?
> >
> > IOW, I'm guessing that your recipe is this:
> >
> >   emacs -Q
> >   M-: (set-frame-font "Latin Modern Math") RET
> >   "M-:" to eval the above form to set up font-lock-keyword
> >   and then ...?
> 
> Insert this string into an `emacs-lisp-mode' buffer:
> 
>     "^\\|\\s-\\|\\[\\|[(`'#@~_%,]"

Thanks.  I don't really see what you say, but I saw something similar,
and fix that.  Could you see if your problem is fixed with the latest
branch tip?